#
# Conditional build:
%bcond_without	szip		# SZIP support (must match hdf build bcond)
%bcond_without	tests		# unit tests
#
Summary:	HDF-EOS 5 library
Summary(pl.UTF-8):	Biblioteka HDF-EOS 5
Name:		hdf-eos5
Version:	5.2.0
Release:	1
License:	MIT-like
Group:		Libraries
Source0:	https://git.earthdata.nasa.gov/projects/DAS/repos/hdfeos5/raw/hdf-eos5-2.0-src.tar.gz?at=refs/heads/HDFEOS5_2.0#/hdf-eos5-2.0-src.tar.gz
# Source0-md5:	151c04a8e7660f868da9fef0fa6c631a
Patch0:		%{name}-includes.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-fortran.patch
Patch3:		%{name}-types.patch
Patch4:		%{name}-bufsize.patch
URL:		http://hdfeos.org/software/library.php#HDF-EOS5
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	hdf5-devel >= 1.8.19
BuildRequires:	libtool
%{?with_szip:BuildRequires:	libaec-szip-devel >= 1.0}
BuildRequires:	zlib-devel
Requires:	hdf5 >= 1.8.19
%{?with_szip:Requires:	libaec-szip >= 1.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HDF-EOS is a software library designed to support EOS-specific data
structures, namely Grid, Point, and Swath. The new data structures are
constructed from standard HDF data objects, using EOS conventions,
through the use of a software library. A key feature of HDF-EOS files
is that instrument-independent services, such as subsetting by
geolocation, can be applied to the files across a wide variety of data
products. The library is extensible and new data structures can be
added.

%description -l pl.UTF-8
HDF-EOS to biblioteka programowa zaprojektowana w celu obsługi
struktur danych związanych z EOS, takich jak Grid, Point i Swath. Nowe
struktury danych są tworzone z obiektów danych HDF, przy użyciu
konwencji EOS, poprzez bibliotekę programową. Kluczową cechą plików
HDF-EOS jest to, że usługi niezależne od przyrządu, takie jak na
przykład podział według geolokalizacji, można wykonywać na plikach
zawierających różnorodne zbiory danych. Biblioteka jest rozszerzalna i
pozwala na dodawanie nowych struktur danych.

%package devel
Summary:	Header files for HDF-EOS 5 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HDF-EOS 5
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	hdf5-devel >= 1.8.19
%{?with_szip:Requires:	libaec-szip-devel >= 1.0}
Requires:	zlib-devel

%description devel
Header files for HDF-EOS 5 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HDF-EOS 5.

%package static
Summary:	Static HDF-EOS 5 library
Summary(pl.UTF-8):	Statyczna biblioteka HDF-EOS 5
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HDF-EOS 5 library.

%description static -l pl.UTF-8
Statyczna biblioteka HDF-EOS 5.

%prep
%setup -q -n hdf-eos5-2.0
%patch -P0 -p1
%patch -P1 -p1
%patch -P2 -p1
%patch -P3 -p1
%patch -P4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
FFLAGS="%{rpmcflags} -fallow-argument-mismatch"
# hdf5 installs in plain /usr/include, but we want to isolate headers
# from system include dir (hdf-eos2 uses the same filenames)
%configure \
	--includedir=%{_includedir}/he5 \
	--enable-fortran \
	--enable-shared \
	%{?with_szip:--with-szlib}

%{__make}

# note: random failures occur when tests are executed in parallel, so use -j1
%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/README
%attr(755,root,root) %{_libdir}/libhe5_Gctp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhe5_Gctp.so.0
%attr(755,root,root) %{_libdir}/libhe5_hdfeos.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhe5_hdfeos.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhe5_Gctp.so
%attr(755,root,root) %{_libdir}/libhe5_hdfeos.so
%{_libdir}/libhe5_Gctp.la
%{_libdir}/libhe5_hdfeos.la
%dir %{_includedir}/he5
%{_includedir}/he5/HE5_GctpFunc.h
%{_includedir}/he5/HE5_HdfEosDef.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libhe5_Gctp.a
%{_libdir}/libhe5_hdfeos.a
%changelog
* Tue Dec 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hdf-eos5.git;a=log;h=master

* Tue Dec 17 2024 Jakub Bogusz <qboosh@pld-linux.org> d95cb86
- fix missing header in configure check

* Mon Dec 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 6c954e5
- updated to 5.2.0

* Sun Dec 22 2019 Jakub Bogusz <qboosh@pld-linux.org> d8a2c2e
- more type fixes, but still crashes

* Wed Dec 11 2019 Jakub Bogusz <qboosh@pld-linux.org> 7824161
- added support for hid_t longer than long (i.e. int64_t on ILP32)

* Tue Dec 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 0d3eda2
- updated to 5.1.16
- added types,bufsize patches
- now builds with hdf5 1.10.x, but tests still fail

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> 25620f0
- release 3 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 2073a4f
- rebuild with hdf5 1.8.14
- release 2 (by relup.sh)

* Sun May 11 2014 Jakub Bogusz <qboosh@pld-linux.org> daf3dc0
- updated to 5.1.15

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> cf7a994
- release 3 (by relup.sh)

* Thu Dec 27 2012 Jan Rękorajski <baggins@pld-linux.org> 7d94e42
- package include dir
- rel 2

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 40441d2
- comment for -j1 on make check

* Mon Dec 24 2012 Jakub Bogusz <qboosh@pld-linux.org> fcd2f4c
- try -j1 for make check

* Sun Dec 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 71c9f2c
- new
- cc patch to allow build without h5cc
- link patch to fix libhe5_hdfeos linking
- tests patch to fix off-by-one errors in test suite

